View Issue Details

IDProjectCategoryView StatusLast Update
0004145Multi Theft Auto : San AndreasSynchronizationpublic2010-12-14 12:13
ReporterSimbadDeZeemanAssigned Toryden 
PrioritynormalSeverityfeatureReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version 
Target Version1.1Fixed in Version1.1 
Summary0004145: Sync vehicle doors open/closed state.
Description

While damage of vehicles is perfectly synced, the door state isn't.

Why sync it? Players want to lock their vehicle. So we make a script which locks the car right? using setVehicleLocked.

Because the open/closed state of the door isn't synced, many players are able to steal your car while it is locked and closed on your screen.

'Then cancel the onPlayerStartVehicleEnter to stop a player getting in.'

^ then you don't see the player pulling at the door.

TagsNo tags attached.

Relationships

related to 0004077 closed New issues Vehicle door closing animation not completing on passenger entry 
child of 0003344 closed New Feature Requests Requested features tracker 

Activities

Kaltsu

2009-09-19 01:51

viewer   ~~0010513

I guess this is related to an earlier case: http://bugs.mtasa.com/view.php?id=4077

I can confirm that it still exists in MTA:SA 1.0.

izstas

2010-12-13 12:39

developer   ~~0012254

Sometimes when I am playing with my friend he tells me that a door isn't closed, but it's closed on my screen.

CVehicleSAInterfaceVTBL has:
DWORD GetDoorAngleOpenRatio;
DWORD GetDoorAngleOpenRatio;
DWORD IsDoorReady;
DWORD IsDoorReady
;
DWORD IsDoorFullyOpen;
DWORD IsDoorFullyOpen;
DWORD IsDoorClosed;
DWORD IsDoorClosed
;
DWORD IsDoorMissing;
DWORD IsDoorMissing_;

Maybe some of this info can be used in vehicle pure sync somehow...

LooooP

2010-12-13 13:04

reporter   ~~0012255

Last edited: 2010-12-13 13:04

There is a cleo mod which allow you open doors, hoods and trunks of the cars, maybe it can help with syncing the doors ( http://www.gtaforums.com/index.php?showtopic=360489 )

eAi

2010-12-13 13:08

administrator   ~~0012257

We obviously know how doors work already. We just don't really consider it that important.

Of course, if anyone wants to write a patch, feel free.

LooooP

2010-12-13 13:21

reporter   ~~0012260

Last edited: 2010-12-13 13:47

Isn't it important when someone lock his cars doors and for him, the doors are closed, but for other player the doors are open then he can stole the car, even the door being locked? (If you didn't get it, I can upload a video explaning)

Btw, I play Race, I don't know if the MTA:SA car lock are by cancel player join in vehicle or close it like in GTA:SA single player

ryden

2010-12-14 12:13

manager   ~~0012271

Fixed in
http://code.google.com/p/mtasa-blue/source/detail?r=2110
http://code.google.com/p/mtasa-blue/source/detail?r=2111
http://code.google.com/p/mtasa-blue/source/detail?r=2112
http://code.google.com/p/mtasa-blue/source/detail?r=2113
http://code.google.com/p/mtasa-blue/source/detail?r=2114
http://code.google.com/p/mtasa-blue/source/detail?r=2115
http://code.google.com/p/mtasa-blue/source/detail?r=2116
http://code.google.com/p/mtasa-blue/source/detail?r=2117

Issue History

Date Modified Username Field Change